com.io7m.jcanephora.renderstate

## Class JCGLCullingState.Builder

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLCullingState.Builder

- Enclosing class:
    JCGLCullingState

      public static final class JCGLCullingState.Builder
      extends Object

  Builds instances of type `JCGLCullingState`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLCullingState` | `build()` Builds a new `JCGLCullingState`.
    `JCGLCullingState.Builder` | `from(JCGLCullingStateType instance)` Fill a builder with attribute values from the provided `JCGLCullingStateType` instance.
    `JCGLCullingState.Builder` | `setFaceSelection(JCGLFaceSelection faceSelection)` Initializes the value for the `faceSelection` attribute.
    `JCGLCullingState.Builder` | `setFaceWindingOrder(JCGLFaceWindingOrder faceWindingOrder)` Initializes the value for the `faceWindingOrder` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCGLCullingState.Builder from(JCGLCullingStateType instance)

      Fill a builder with attribute values from the provided `JCGLCullingStateType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setFaceSelection

          public final JCGLCullingState.Builder setFaceSelection(JCGLFaceSelection faceSelection)

      Initializes the value for the `faceSelection` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `faceSelection`.

      Parameters:
        `faceSelection` - The value for faceSelection
      Returns:
        `this` builder for use in a chained invocation

    - #### setFaceWindingOrder

          public final JCGLCullingState.Builder setFaceWindingOrder(JCGLFaceWindingOrder faceWindingOrder)

      Initializes the value for the `faceWindingOrder` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `faceWindingOrder`.

      Parameters:
        `faceWindingOrder` - The value for faceWindingOrder
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCGLCullingState build()

      Builds a new `JCGLCullingState`.
      Returns:
        An immutable instance of JCGLCullingState
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com